Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property.servlets.jsp.taglib
Class GetRestrictedPropertyValuesTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.property.servlets.jsp.taglib.PropertyTag
                  |
                  +--com.bea.p13n.property.servlets.jsp.taglib.ResultTag
                        |
                        +--com.bea.p13n.property.servlets.jsp.taglib.GetRestrictedPropertyValuesTag

public class GetRestrictedPropertyValuesTag
extends ResultTag

See the WLPS tag documentation for attributes and result values.

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.property.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.property.servlets.jsp.taglib.PropertyTag
`PROPERTY_SET_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetRestrictedPropertyValuesTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getPropertyName()` Get the name of the property to query for restricted values
`java.lang.String` | `getPropertySetName()` Get the name of the property set to query for property names
`java.lang.String` | `getPropertySetType()` Get the type of the property set to query for property names
`void` | `release()` Reset all the tag's attributes
`void` | `setPropertyName(java.lang.String s)` Set the name of the property to query for restricted values
`void` | `setPropertySetName(java.lang.String s)` Set the name of the property set to query for property names
`void` | `setPropertySetType(java.lang.String s)` Set the type of the property set to query for property names

Methods inherited from class com.bea.p13n.property.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.property.servlets.jsp.taglib.PropertyTag
`getPropertySetManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetRestrictedPropertyValuesTag

    public GetRestrictedPropertyValuesTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset all the tag's attributes

  Overrides:
    release in class ResultTag

### setPropertySetName

    public void setPropertySetName(java.lang.String s)

  Set the name of the property set to query for property names

### getPropertySetName

    public java.lang.String getPropertySetName()

  Get the name of the property set to query for property names

### setPropertySetType

    public void setPropertySetType(java.lang.String s)

  Set the type of the property set to query for property names

### getPropertySetType

    public java.lang.String getPropertySetType()

  Get the type of the property set to query for property names

### setPropertyName

    public void setPropertyName(java.lang.String s)

  Set the name of the property to query for restricted values

### getPropertyName

    public java.lang.String getPropertyName()

  Get the name of the property to query for restricted values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved